#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_res(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double par_u=0; 
   double t1_par_u=0; 
   double var_z1=0; 
   double t1_var_z1=0; 
   double der_var_z1=0; 
   double t1_der_var_z1=0; 
   double var_z2=0; 
   double t1_var_z2=0; 
   double der_var_z2=0; 
   double t1_der_var_z2=0; 
   double var_z3=0; 
   double t1_var_z3=0; 
   double der_var_z3=0; 
   double t1_der_var_z3=0; 
   double var_z4=0; 
   double t1_var_z4=0; 
   double der_var_z4=0; 
   double t1_der_var_z4=0; 
   double var_z5=0; 
   double t1_var_z5=0; 
   double der_var_z5=0; 
   double t1_der_var_z5=0; 
   double var_g1=0; 
   double t1_var_g1=0; 
   double der_var_g1=0; 
   double t1_der_var_g1=0; 
   double var_g2=0; 
   double t1_var_g2=0; 
   double der_var_g2=0; 
   double t1_der_var_g2=0; 
   double var_g3=0; 
   double t1_var_g3=0; 
   double der_var_g3=0; 
   double t1_der_var_g3=0; 
   double var_g4=0; 
   double t1_var_g4=0; 
   double der_var_g4=0; 
   double t1_der_var_g4=0; 
   double var_obj=0; 
   double t1_var_obj=0; 
   double der_var_obj=0; 
   double t1_der_var_obj=0; 
   double var_div0=0; 
   double t1_var_div0=0; 
   double var_div1=0; 
   double t1_var_div1=0; 
   double var_div2=0; 
   double t1_var_div2=0; 
   double var_div3=0; 
   double t1_var_div3=0; 
   double var_i_expr=0; 
   double t1_var_i_expr=0; 
   double var_div4=0; 
   double t1_var_div4=0; 
   double var_i_expr6=0; 
   double t1_var_i_expr6=0; 
   double var_div5=0; 
   double t1_var_div5=0; 
   double var_exp7=0; 
   double t1_var_exp7=0; 
   double var_i_expr8=0; 
   double t1_var_i_expr8=0; 
   double var_i_expr10=0; 
   double t1_var_i_expr10=0; 
   double var_div9=0; 
   double t1_var_div9=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   double v1_11=0; 
   double t1_v1_11=0; 
   double v1_12=0; 
   double t1_v1_12=0; 
   double v1_13=0; 
   double t1_v1_13=0; 
   double v1_14=0; 
   double t1_v1_14=0; 
   double v1_15=0; 
   double t1_v1_15=0; 
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_par_u=t1_v1_0; // TLM =
   par_u=v1_0; // SAC =
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_var_z1=t1_v1_0; // TLM =
   var_z1=v1_0; // SAC =
   t1_v1_0=t1_der_x[0]; // TLM array memory reference
   v1_0=der_x[0]; // SAC array memory reference
   t1_der_var_z1=t1_v1_0; // TLM =
   der_var_z1=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_var_z2=t1_v1_0; // TLM =
   var_z2=v1_0; // SAC =
   t1_v1_0=t1_der_x[1]; // TLM array memory reference
   v1_0=der_x[1]; // SAC array memory reference
   t1_der_var_z2=t1_v1_0; // TLM =
   der_var_z2=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_var_z3=t1_v1_0; // TLM =
   var_z3=v1_0; // SAC =
   t1_v1_0=t1_der_x[2]; // TLM array memory reference
   v1_0=der_x[2]; // SAC array memory reference
   t1_der_var_z3=t1_v1_0; // TLM =
   der_var_z3=v1_0; // SAC =
   t1_v1_0=t1_x[3]; // TLM array memory reference
   v1_0=x[3]; // SAC array memory reference
   t1_var_z4=t1_v1_0; // TLM =
   var_z4=v1_0; // SAC =
   t1_v1_0=t1_der_x[3]; // TLM array memory reference
   v1_0=der_x[3]; // SAC array memory reference
   t1_der_var_z4=t1_v1_0; // TLM =
   der_var_z4=v1_0; // SAC =
   t1_v1_0=t1_x[4]; // TLM array memory reference
   v1_0=x[4]; // SAC array memory reference
   t1_var_z5=t1_v1_0; // TLM =
   var_z5=v1_0; // SAC =
   t1_v1_0=t1_der_x[4]; // TLM array memory reference
   v1_0=der_x[4]; // SAC array memory reference
   t1_der_var_z5=t1_v1_0; // TLM =
   der_var_z5=v1_0; // SAC =
   t1_v1_0=t1_x[5]; // TLM array memory reference
   v1_0=x[5]; // SAC array memory reference
   t1_var_g1=t1_v1_0; // TLM =
   var_g1=v1_0; // SAC =
   t1_v1_0=t1_der_x[5]; // TLM array memory reference
   v1_0=der_x[5]; // SAC array memory reference
   t1_der_var_g1=t1_v1_0; // TLM =
   der_var_g1=v1_0; // SAC =
   t1_v1_0=t1_x[6]; // TLM array memory reference
   v1_0=x[6]; // SAC array memory reference
   t1_var_g2=t1_v1_0; // TLM =
   var_g2=v1_0; // SAC =
   t1_v1_0=t1_der_x[6]; // TLM array memory reference
   v1_0=der_x[6]; // SAC array memory reference
   t1_der_var_g2=t1_v1_0; // TLM =
   der_var_g2=v1_0; // SAC =
   t1_v1_0=t1_x[7]; // TLM array memory reference
   v1_0=x[7]; // SAC array memory reference
   t1_var_g3=t1_v1_0; // TLM =
   var_g3=v1_0; // SAC =
   t1_v1_0=t1_der_x[7]; // TLM array memory reference
   v1_0=der_x[7]; // SAC array memory reference
   t1_der_var_g3=t1_v1_0; // TLM =
   der_var_g3=v1_0; // SAC =
   t1_v1_0=t1_x[8]; // TLM array memory reference
   v1_0=x[8]; // SAC array memory reference
   t1_var_g4=t1_v1_0; // TLM =
   var_g4=v1_0; // SAC =
   t1_v1_0=t1_der_x[8]; // TLM array memory reference
   v1_0=der_x[8]; // SAC array memory reference
   t1_der_var_g4=t1_v1_0; // TLM =
   der_var_g4=v1_0; // SAC =
   t1_v1_0=t1_x[9]; // TLM array memory reference
   v1_0=x[9]; // SAC array memory reference
   t1_var_obj=t1_v1_0; // TLM =
   var_obj=v1_0; // SAC =
   t1_v1_0=t1_der_x[9]; // TLM array memory reference
   v1_0=der_x[9]; // SAC array memory reference
   t1_der_var_obj=t1_v1_0; // TLM =
   der_var_obj=v1_0; // SAC =
   t1_acs_div(par_u,t1_par_u,var_z5,t1_var_z5,var_div0,t1_var_div0);
   t1_v1_0=t1_der_var_z1; // TLM scalar memory reference
   v1_0=der_var_z1; // SAC scalar memory reference
   t1_v1_1=t1_var_g1; // TLM scalar memory reference
   v1_1=var_g1; // SAC scalar memory reference
   t1_v1_2=t1_var_z2; // TLM scalar memory reference
   v1_2=var_z2; // SAC scalar memory reference
   t1_v1_3=t1_var_z1; // TLM scalar memory reference
   v1_3=var_z1; // SAC scalar memory reference
   t1_v1_4=t1_v1_2-t1_v1_3; // TLM -
   v1_4=v1_2-v1_3; // SAC -
   t1_v1_5=t1_v1_4; // TLM ()
   v1_5=v1_4; // SAC ()
   t1_v1_6=v1_5*t1_v1_1+v1_1*t1_v1_5; // TLM *
   v1_6=v1_1*v1_5; // SAC *
   t1_v1_7=t1_var_div0; // TLM scalar memory reference
   v1_7=var_div0; // SAC scalar memory reference
   t1_v1_8=t1_var_z1; // TLM scalar memory reference
   v1_8=var_z1; // SAC scalar memory reference
   t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
   v1_9=v1_7*v1_8; // SAC *
   t1_v1_10=t1_v1_6-t1_v1_9; // TLM -
   v1_10=v1_6-v1_9; // SAC -
   t1_v1_11=t1_v1_10; // TLM ()
   v1_11=v1_10; // SAC ()
   t1_v1_12=t1_v1_0-t1_v1_11; // TLM -
   v1_12=v1_0-v1_11; // SAC -
   t1_yy[i_E]=t1_v1_12; // TLM =
   yy[i_E]=v1_12; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_acs_div(par_u,t1_par_u,var_z5,t1_var_z5,var_div1,t1_var_div1);
   t1_v1_0=t1_der_var_z2; // TLM scalar memory reference
   v1_0=der_var_z2; // SAC scalar memory reference
   t1_v1_1=t1_var_g2; // TLM scalar memory reference
   v1_1=var_g2; // SAC scalar memory reference
   t1_v1_2=t1_var_z3; // TLM scalar memory reference
   v1_2=var_z3; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_var_div1; // TLM scalar memory reference
   v1_4=var_div1; // SAC scalar memory reference
   t1_v1_5=t1_var_z2; // TLM scalar memory reference
   v1_5=var_z2; // SAC scalar memory reference
   t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
   v1_6=v1_4*v1_5; // SAC *
   t1_v1_7=t1_v1_3-t1_v1_6; // TLM -
   v1_7=v1_3-v1_6; // SAC -
   t1_v1_8=t1_v1_7; // TLM ()
   v1_8=v1_7; // SAC ()
   t1_v1_9=t1_v1_0-t1_v1_8; // TLM -
   v1_9=v1_0-v1_8; // SAC -
   t1_yy[i_E]=t1_v1_9; // TLM =
   yy[i_E]=v1_9; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_acs_div(par_u,t1_par_u,var_z5,t1_var_z5,var_div2,t1_var_div2);
   t1_v1_0=t1_der_var_z3; // TLM scalar memory reference
   v1_0=der_var_z3; // SAC scalar memory reference
   t1_v1_1=t1_var_g3; // TLM scalar memory reference
   v1_1=var_g3; // SAC scalar memory reference
   t1_v1_2=t1_var_z3; // TLM scalar memory reference
   v1_2=var_z3; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_var_div2; // TLM scalar memory reference
   v1_4=var_div2; // SAC scalar memory reference
   t1_v1_5=t1_var_z3; // TLM scalar memory reference
   v1_5=var_z3; // SAC scalar memory reference
   t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
   v1_6=v1_4*v1_5; // SAC *
   t1_v1_7=t1_v1_3-t1_v1_6; // TLM -
   v1_7=v1_3-v1_6; // SAC -
   t1_v1_8=t1_v1_7; // TLM ()
   v1_8=v1_7; // SAC ()
   t1_v1_9=t1_v1_0-t1_v1_8; // TLM -
   v1_9=v1_0-v1_8; // SAC -
   t1_yy[i_E]=t1_v1_9; // TLM =
   yy[i_E]=v1_9; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_acs_div(par_u,t1_par_u,var_z5,t1_var_z5,var_div3,t1_var_div3);
   t1_v1_0=t1_der_var_z4; // TLM scalar memory reference
   v1_0=der_var_z4; // SAC scalar memory reference
   t1_v1_1=0;  // TLM constant reference
   v1_1=7.3;  // SAC constant reference
   t1_v1_2=t1_var_g3; // TLM scalar memory reference
   v1_2=var_g3; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_var_z3; // TLM scalar memory reference
   v1_4=var_z3; // SAC scalar memory reference
   t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
   v1_5=v1_3*v1_4; // SAC *
   t1_v1_6=0-t1_v1_5; // TLM -
   v1_6=0-v1_5; // SAC -
   t1_v1_7=t1_var_div3; // TLM scalar memory reference
   v1_7=var_div3; // SAC scalar memory reference
   t1_v1_8=0;  // TLM constant reference
   v1_8=20;  // SAC constant reference
   t1_v1_9=t1_var_z4; // TLM scalar memory reference
   v1_9=var_z4; // SAC scalar memory reference
   t1_v1_10=t1_v1_8-t1_v1_9; // TLM -
   v1_10=v1_8-v1_9; // SAC -
   t1_v1_11=t1_v1_10; // TLM ()
   v1_11=v1_10; // SAC ()
   t1_v1_12=v1_11*t1_v1_7+v1_7*t1_v1_11; // TLM *
   v1_12=v1_7*v1_11; // SAC *
   t1_v1_13=t1_v1_6+t1_v1_12; // TLM +
   v1_13=v1_6+v1_12; // SAC +
   t1_v1_14=t1_v1_13; // TLM ()
   v1_14=v1_13; // SAC ()
   t1_v1_15=t1_v1_0-t1_v1_14; // TLM -
   v1_15=v1_0-v1_14; // SAC -
   t1_yy[i_E]=t1_v1_15; // TLM =
   yy[i_E]=v1_15; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_der_var_z5; // TLM scalar memory reference
   v1_0=der_var_z5; // SAC scalar memory reference
   t1_v1_1=t1_par_u; // TLM scalar memory reference
   v1_1=par_u; // SAC scalar memory reference
   t1_v1_2=t1_v1_1; // TLM ()
   v1_2=v1_1; // SAC ()
   t1_v1_3=t1_v1_0-t1_v1_2; // TLM -
   v1_3=v1_0-v1_2; // SAC -
   t1_yy[i_E]=t1_v1_3; // TLM =
   yy[i_E]=v1_3; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=0;  // TLM constant reference
   v1_0=0.12;  // SAC constant reference
   t1_v1_1=t1_var_g3; // TLM scalar memory reference
   v1_1=var_g3; // SAC scalar memory reference
   t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
   v1_2=v1_0+v1_1; // SAC +
   t1_v1_3=t1_v1_2; // TLM ()
   v1_3=v1_2; // SAC ()
   t1_var_i_expr=t1_v1_3; // TLM =
   var_i_expr=v1_3; // SAC =
   t1_acs_div(var_g3,t1_var_g3,var_i_expr,t1_var_i_expr,var_div4,t1_var_div4);
   t1_v1_0=t1_var_g1; // TLM scalar memory reference
   v1_0=var_g1; // SAC scalar memory reference
   t1_v1_1=0;  // TLM constant reference
   v1_1=4.75;  // SAC constant reference
   t1_v1_2=t1_var_div4; // TLM scalar memory reference
   v1_2=var_div4; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
   v1_5=v1_0-v1_4; // SAC -
   t1_yy[i_E]=t1_v1_5; // TLM =
   yy[i_E]=v1_5; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=0;  // TLM constant reference
   v1_0=0.1;  // SAC constant reference
   t1_v1_1=t1_var_z4; // TLM scalar memory reference
   v1_1=var_z4; // SAC scalar memory reference
   t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
   v1_2=v1_0+v1_1; // SAC +
   t1_v1_3=t1_v1_2; // TLM ()
   v1_3=v1_2; // SAC ()
   t1_var_i_expr6=t1_v1_3; // TLM =
   var_i_expr6=v1_3; // SAC =
   t1_acs_div(var_z4,t1_var_z4,var_i_expr6,t1_var_i_expr6,var_div5,t1_var_div5);
   t1_v1_0=0;  // TLM constant reference
   v1_0=5;  // SAC constant reference
   t1_v1_1=t1_var_z4; // TLM scalar memory reference
   v1_1=var_z4; // SAC scalar memory reference
   t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   t1_v1_3=0-t1_v1_2; // TLM -
   v1_3=0-v1_2; // SAC -
   t1_var_i_expr8=t1_v1_3; // TLM =
   var_i_expr8=v1_3; // SAC =
   t1_acs_exp(var_i_expr8,t1_var_i_expr8,var_exp7,t1_var_exp7);
   t1_v1_0=t1_var_g2; // TLM scalar memory reference
   v1_0=var_g2; // SAC scalar memory reference
   t1_v1_1=t1_var_div5; // TLM scalar memory reference
   v1_1=var_div5; // SAC scalar memory reference
   t1_v1_2=t1_var_exp7; // TLM scalar memory reference
   v1_2=var_exp7; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
   v1_5=v1_0-v1_4; // SAC -
   t1_yy[i_E]=t1_v1_5; // TLM =
   yy[i_E]=v1_5; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_z4; // TLM scalar memory reference
   v1_0=var_z4; // SAC scalar memory reference
   t1_v1_1=0;  // TLM constant reference
   v1_1=0.4;  // SAC constant reference
   t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
   v1_2=v1_0+v1_1; // SAC +
   t1_v1_3=t1_v1_2; // TLM ()
   v1_3=v1_2; // SAC ()
   t1_v1_4=t1_var_z4; // TLM scalar memory reference
   v1_4=var_z4; // SAC scalar memory reference
   t1_v1_5=0;  // TLM constant reference
   v1_5=62.5;  // SAC constant reference
   t1_v1_6=t1_v1_4+t1_v1_5; // TLM +
   v1_6=v1_4+v1_5; // SAC +
   t1_v1_7=t1_v1_6; // TLM ()
   v1_7=v1_6; // SAC ()
   t1_v1_8=v1_7*t1_v1_3+v1_3*t1_v1_7; // TLM *
   v1_8=v1_3*v1_7; // SAC *
   t1_v1_9=t1_v1_8; // TLM ()
   v1_9=v1_8; // SAC ()
   t1_var_i_expr10=t1_v1_9; // TLM =
   var_i_expr10=v1_9; // SAC =
   t1_acs_div(var_z4,t1_var_z4,var_i_expr10,t1_var_i_expr10,var_div9,t1_var_div9);
   t1_v1_0=t1_var_g3; // TLM scalar memory reference
   v1_0=var_g3; // SAC scalar memory reference
   t1_v1_1=0;  // TLM constant reference
   v1_1=21.87;  // SAC constant reference
   t1_v1_2=t1_var_div9; // TLM scalar memory reference
   v1_2=var_div9; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
   v1_5=v1_0-v1_4; // SAC -
   t1_yy[i_E]=t1_v1_5; // TLM =
   yy[i_E]=v1_5; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_g4; // TLM scalar memory reference
   v1_0=var_g4; // SAC scalar memory reference
   t1_v1_1=0;  // TLM constant reference
   v1_1=58.75;  // SAC constant reference
   t1_v1_2=t1_var_g3; // TLM scalar memory reference
   v1_2=var_g3; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_var_g3; // TLM scalar memory reference
   v1_4=var_g3; // SAC scalar memory reference
   t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
   v1_5=v1_3*v1_4; // SAC *
   t1_v1_6=0;  // TLM constant reference
   v1_6=1.71;  // SAC constant reference
   t1_v1_7=t1_v1_5+t1_v1_6; // TLM +
   v1_7=v1_5+v1_6; // SAC +
   t1_v1_8=t1_v1_7; // TLM ()
   v1_8=v1_7; // SAC ()
   t1_v1_9=t1_v1_0-t1_v1_8; // TLM -
   v1_9=v1_0-v1_8; // SAC -
   t1_yy[i_E]=t1_v1_9; // TLM =
   yy[i_E]=v1_9; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_obj; // TLM scalar memory reference
   v1_0=var_obj; // SAC scalar memory reference
   t1_v1_1=t1_var_z1; // TLM scalar memory reference
   v1_1=var_z1; // SAC scalar memory reference
   t1_v1_2=t1_var_z5; // TLM scalar memory reference
   v1_2=var_z5; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=0-t1_v1_3; // TLM -
   v1_4=0-v1_3; // SAC -
   t1_v1_5=t1_v1_4; // TLM ()
   v1_5=v1_4; // SAC ()
   t1_v1_6=t1_v1_0-t1_v1_5; // TLM -
   v1_6=v1_0-v1_5; // SAC -
   t1_yy[i_E]=t1_v1_6; // TLM =
   yy[i_E]=v1_6; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   // nonfloat assignment
   n_c=i_C;
}
